Show creditor detail
curl --request GET \
--url https://api.hub.younegotiate.com/manage-creditors/{company} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hub.younegotiate.com/manage-creditors/{company}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hub.younegotiate.com/manage-creditors/{company}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"summary_metrics": {
"member_revenue": {
"amount": 150
},
"payment_revenue": {
"amount": 200.25
},
"auto_communication_revenue": {
"count": 2,
"amount": 9.5
},
"super_admin_campaign": {
"count": 2,
"amount": 9.5
},
"ecoletter_revenue": {
"count": 2,
"amount": 9.5
},
"notice_responses": {
"added_count": 1,
"returned_count": 1
}
},
"performance_metrics": {
"total_accounts": {
"count": 2,
"amount": 9.5
},
"settlements_and_plans": {
"settlement_amount": 750,
"plan_amount": 650
},
"settlement_payments_to_date": {
"count": 2,
"amount": 9.5
},
"plan_payments_to_date": {
"count": 2,
"amount": 9.5
},
"active_plans": {
"count": 2,
"amount": 9.5
},
"disputes": {
"count": 2,
"amount": 9.5
},
"no_pay": {
"count": 2,
"amount": 9.5
}
},
"plan_details": {
"membership_type": "Partner - Channel Partners",
"start_date": "Jan 15, 2026",
"plan_name": "Growth Plus",
"hosting": "6/1000",
"add_on": 25,
"pay_term": "Monthly",
"pay_method_type": "ACH",
"months_active": 6
},
"eco_profile_details": {
"company_name": "Summit Ridge Financial LLC",
"phone": "8186017451",
"url": "https://summitridgefinancial.com",
"address_1": "233 South Wacker Drive",
"address_2": "Suite 1400",
"city": "Chicago",
"state": "Illinois",
"zip": "60606",
"tin": "123456789",
"hours_opened": "Monday to Friday | 02:00pm to 11:00pm"
},
"contacts": {
"parent_user": {
"id": 123,
"name": "<string>",
"email": "jsmith@example.com"
},
"users": [
{
"id": 123,
"name": "<string>",
"email": "jsmith@example.com"
}
]
},
"id": 123,
"company_name": "<string>",
"company_type": {
"value": "debt-buyer",
"label": "Debt Buyer"
},
"contact": {
"name": "<string>",
"email": "jsmith@example.com"
},
"root_creditor": {
"id": 123,
"name": "<string>",
"email": "jsmith@example.com"
},
"recipient": {
"name": "<string>",
"email": "jsmith@example.com"
},
"status_badge": {
"label": "AM",
"tooltip": "Active Member"
},
"membership": {
"plan_name": "<string>",
"upload_accounts_limit": 123
},
"consumer_stats_loaded": true,
"consumers_count": 123,
"total_balance": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}Show creditor detail
Show a creditor company profile with summary revenue metrics, performance metrics, plan details, eco profile details, and contacts.
GET
/
manage-creditors
/
{company}
Show creditor detail
Last modified on July 20, 2026
Was this page helpful?
⌘I

